@Echo off
 rem 06.03.2013 J.Fes
 rem Example: call wait.cmd 2 "to start next step"
 setlocal
 set i=10
 if "%~1" neq "" set I=%~1
 set WaitInfo=wait now [%Date% %time:~0,8%] for %i% [sec]
 if "%~2" neq "" set WaitInfo=%WaitInfo% %~2
 set /p=%WaitInfo% <nul
 :waitLoop
   set /p=.%i%<nul
   ping -n 2 localhost >nul
   set /a i=%i%-1
 if %i% GTR 0 goto waitLoop
 Echo.
 endlocal
 goto :eof
